# Hough Line Transform

Hough line transform capabilities in GIL are demonstrated by the program `hough_transform_line`, compiled from the sources `example/hough_transform_line.cpp`.

## Synopsis

`hough_transform_line`

The program doesn't take any argument on the command line.

The program outputs the expected theta and radius, followed by every step of the search.

## Specific requirements

### Build requirements

- A C++ compiler compliant with C++14 or above.

### Execution requirements

`hough_transform_line` doesn't have any specific execution requirements.
